apiVersion: performance.openshift.io/v2
kind: PerformanceProfile
metadata:
  annotations:
    ran.openshift.io/reference-configuration: ran-du.redhat.com
  name: openshift-node-performance-profile
spec:
  additionalKernelArgs:
  - rcupdate.rcu_normal_after_boot=0
  - efi=runtime
  - vfio_pci.enable_sriov=1
  - vfio_pci.disable_idle_d3=1
  - module_blacklist=irdma
  cpu:
    isolated: 2-31,34-63
    reserved: 0-1,32-33
  hugepages:
    defaultHugepagesSize: 1G
    pages:
    - count: 32
      size: 1G
  machineConfigPoolSelector:
    pools.operator.machineconfiguration.openshift.io/master: ""
  nodeSelector:
    node-role.kubernetes.io/master: ""
  numa:
    topologyPolicy: restricted
  realTimeKernel:
    enabled: true
  workloadHints:
    highPowerConsumption: false
    perPodPowerManagement: false
    realTime: true
